Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.module
Class GenericModuleIdentifier

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.GenericModuleIdentifier

All Implemented Interfaces:
  ModuleIdentifier

public class GenericModuleIdentifier
extends Object
implements ModuleIdentifier

GenericModuleIdentifier.java Created: Mon May 15 16:02:45 2000

Version:
  $Id: GenericModuleIdentifier.java,v 1.6 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`GenericModuleIdentifier(String className, String moduleName, boolean isInterface)`

Method Summary
`String` | `getClassName()` Returns the string of the class name.
`String` | `getModuleName()` Returns the name of the module being defined.
`boolean` | `isInterface()` Returns whether this module is an interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericModuleIdentifier

    public GenericModuleIdentifier(String className,
                                   String moduleName,
                                   boolean isInterface)

Method Detail

### isInterface

    public boolean isInterface()

  Description copied from interface: `ModuleIdentifier`
  Returns whether this module is an interface.

  Specified by:
    `isInterface` in interface `ModuleIdentifier`
  Returns:
    whether this module is an interface.

### getClassName

    public String getClassName()

  Description copied from interface: `ModuleIdentifier`
  Returns the string of the class name.

  Specified by:
    `getClassName` in interface `ModuleIdentifier`
  Returns:
    the class name

### getModuleName

    public String getModuleName()

  Description copied from interface: `ModuleIdentifier`
  Returns the name of the module being defined.

  Specified by:
    `getModuleName` in interface `ModuleIdentifier`
  Returns:
    the name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD